from thrift.transport.TSocket import TSocket
from thrift.transport.TTransport import TBufferedTransport
from thrift.protocol.TBinaryProtocol import TBinaryProtocol
from simple_example import SpiffyGeoIPService

socket = TSocket('localhost', 3773)
transport = TBufferedTransport(socket)
protocol = TBinaryProtocol(transport)
geoip_service = SpiffyGeoIPService.Client(protocol)
transport.open()

where = geoip_service.by_ip_addr("192.0.2.37")

print where.country_code, where.latitude, where.longitude, where.possible_cities
for city in where.possible_cities:
   print city

"""
Want to learn more?

http://developer.facebook.com/thrift/

http://x1024.net/blog/thrift-talk-pycon-2008/

"""

if __name__ == '__main__':
    import sys
    sys.path.insert(0, 'gen-py')
    sys.path.insert(0, 'thrift-trunk/lib/py/build/lib.macosx-10.4-i386-2.5')
